Required Roles
Your API Key must have the Project Read Only role to successfully call this resource.
Request
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /groups/{groupId}/events/{eventId}Request Path Parameters
Name | Type | Description |
|---|---|---|
groupId | string | Unique identifier of the project associated with the desired event. |
eventId | string | Unique identifier of the desired event. |
Request Query Parameters
The following query parameters are optional:
Query Parameter | Type | Description | Default |
|---|---|---|---|
pretty | boolean | Displays response in a prettyprint format. |
|
envelope | boolean | Specifies whether or not to wrap the response in an envelope. |
|
includeRaw | boolean | Specifies whether to include the IMPORTANT: The values in the |
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
alertId | string | Unique identifier for the alert associated with this event. |
alertConfigId | string | Unique identifier for the alert configuration associated with the |
apiKeyId | string | Unique identifier for the API Key that triggered this event. If this field is present in the response, Ops Manager does not return the |
clusterId | string | Unique identifier of the cluster to which this event applies. |
clusterName | string | Name of the cluster to which this event applies. |
collection | string | Name of the collection on which the event occurred. This field can be present when the |
created | string | Timestamp in ISO 8601 date and time format in UTC when this event was triggered. |
currentValue | object | Current value of the metric that triggered this event. |
currentValue | number | Value of the metric. |
currentValue | string | Relevant units for the value. For example, a metric that measures memory consumption would have a byte measurement, while a metric that measures time would have a time unit. Accepted values are:
|
database | string | Name of the database on which the event occurred. This field can be present when the |
diffs | array of objects | Changes made to the deployment during this event. Ops Manager returns different elements depending upon what was changed: user privileges or roles, restore jobs, automation modules, and so on. The list of this array and its objects is not exhaustive. |
diffs | string | Unique identifier for the differences executed in this event. |
diffs | array of objects | Collection of changes made to the given resource. |
diffs | string | Label displayed in the console in the Activity Feed when the change was made. |
diffs | string | New state of the parameter that was changed. |
diffs | string | Initial state of the parameter that was changed. |
diffs | string | Name of the parameter that was changed. |
diffs | string | Nature of the change made to this resource.
|
diffs | string | Resource to which the change was made.
|
eventTypeName | string | Name of the circumstance that triggered this event. To review the types of events that generate alerts, see Alert Types. For a complete list of events included in the Ops Manager audit log, see Audit Events. |
groupId | string | Unique identifier of the project in which this event occurred. |
hostId | string | Unique identifier of the host on which this event occurred. |
hostname | string | Hostname, FQDN, IPv4 address, or IPv6 address of the host on which this event occurred. |
id | string | Unique identifier for this event. |
isGlobalAdmin | boolean | Flag indicating whether the user who triggered this event has the |
links | object array | One or more links to sub-resources or related resources. All |
metricName | string | Name of the measurement whose value went outside the threshold. |
opType | string | Type of operation that generated the event. This field is present when the |
port | integer | Port of the host associated with this event. |
publicKey | string | Public key associated with the API Key that triggered this event. If this field is present in the response, Ops Manager does not return the |
raw | document | Additional meta information about the event. This field only appears when the IMPORTANT: The values in the |
remoteAddress | string | IP address associated with the Ops Manager user (userId) who triggered the event. |
replicaSetName | string | Name of the replica set. |
shardName | string | Name of the shard associated with the event. |
targetPublicKey | string | Public key of the API Key targeted by the event. |
targetUsername | string | Username for the Ops Manager user targeted by this event. |
teamId | string | Unique identifier for the Ops Manager team associated with this event. |
userId | string | Unique identifier for the Ops Manager user who triggered this event. If this field is present in the response, Ops Manager does not return the |
username | string | Username for the Ops Manager user who triggered this event. If this field is present in the response, Ops Manager does not return |
accessListEntry | string | Access List entry of the API Key targeted by the event. |
Example Request
curl --user "{publicKey}:{privateKey}" --digest \ --header "Accept: application/json" \ --include \ --request GET "https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/groups/{groupId}/events/{eventId}?pretty=true"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "created" : "2020-07-13T21:28:37Z", "diffs" : [ { "id" : "admin@admin", "name" : null, "params" : [ { "display" : "Added Privilege", "new" : "config.system.sessions: moveChunk", "old" : null, "param" : "config.system.sessions: moveChunk" }, { "display" : "Added Privilege", "new" : "config.system.sessions: splitChunk", "old" : null, "param" : "config.system.sessions: splitChunk" }, { "display" : "Added Privilege", "new" : "config.system.sessions: splitVector", "old" : null, "param" : "config.system.sessions: splitVector" } ], "priviileges" : [ { "actions" : [ "moveChunk" ], "resource" : { "collection" : "system.sessions", "db" : "config" } }, { "actions" : [ "moveChunk" ], "resource" : { "collection" : "", "db" : "" } }, { "actions" : [ "enableSharding" ], "resource" : { "cluster" : true } }, { "actions" : [ "cleanupOrphaned" ], "resource" : { "cluster" : true } }, { "actions" : [ "flushRouterConfig" ], "resource" : { "cluster" : true } }, { "actions" : [ "splitChunk" ], "resource" : { "collection" : "system.sessions", "db" : "config" } }, { "actions" : [ "splitChunk" ], "resource" : { "collection" : "", "db" : "" } }, { "actions" : [ "splitVector" ], "resource" : { "collection" : "system.sessions", "db" : "config" } }, { "actions" : [ "viewRole" ], "resource" : { "collection" : "", "db" : "" } } ], "roles" : [ { "db" : "admin", "role" : "readWriteAnyDatabase" }, { "db" : "admin", "role" : "dbAdminAnyDatabase" }, { "db" : "admin", "role" : "enableSharding" }, { "db" : "admin", "role" : "backup" }, { "db" : "admin", "role" : "clusterMonitor" } ], "status" : "MODIFIED", "type" : "ROLES" }}